Page MenuHomePhabricator

[AArch64] Adding ACLE intrinsics for the LS64 extension
ClosedPublic

Authored by pratlucas on Dec 14 2020, 9:25 AM.

Details

Summary

This introduces the ARMv8.7-A LS64 extension's intrinsics for 64 bytes
atomic loads and stores: __arm_ld64b, __arm_st64b, __arm_st64bv,
and __arm_st64bv0. These are selected into the LS64 instructions
LD64B, ST64B, ST64BV and ST64BV0, respectively.

Based on patches written by Simon Tatham.

Diff Detail

Event Timeline

pratlucas created this revision.Dec 14 2020, 9:25 AM
pratlucas requested review of this revision.Dec 14 2020, 9:25 AM
Herald added projects: Restricted Project, Restricted Project. · View Herald TranscriptDec 14 2020, 9:25 AM
tmatheson accepted this revision.Jan 13 2021, 3:21 AM
This revision is now accepted and ready to land.Jan 13 2021, 3:21 AM
This revision was landed with ongoing or failed builds.Jan 14 2021, 1:44 AM
This revision was automatically updated to reflect the committed changes.